org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class InitNewCoordinatorFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture
    - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.InitNewCoordinatorFuture

All Implemented Interfaces:
  Serializable, IgniteInternalFuture, IgniteInClosure

    public class InitNewCoordinatorFuture
    extends GridCompoundFuture

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init(GridDhtPartitionsExchangeFuture exchFut)`
`void` `onMessage(ClusterNode node, GridDhtPartitionsSingleMessage msg)`
`void` `onNodeLeft(UUID nodeId)`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, logDebug, logError, markInitialized, processFailure, toString`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### init

    public void init(GridDhtPartitionsExchangeFuture exchFut)
              throws IgniteCheckedException

Parameters:
  `exchFut` - Current future.
Throws:
  `IgniteCheckedException` - If failed.

#### onMessage

    public void onMessage(ClusterNode node,
                          GridDhtPartitionsSingleMessage msg)

Parameters:
  `node` - Node.
  `msg` - Message.

#### onNodeLeft

    public void onNodeLeft(UUID nodeId)

Parameters:
  `nodeId` - Failed node ID.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018